るりまサーチ (Ruby 2.3.0)

最速Rubyリファレンスマニュアル検索!
9件ヒット [1-9件を表示] (0.013秒)
トップページ > バージョン:2.3.0[x] > 種類:インスタンスメソッド[x] > ライブラリ:rubygems[x] > クラス:Gem::Dependency[x]

キーワード

検索結果

Gem::Dependency#<=>(other) -> Integer (10.0)

self と other を Gem::Dependency#name の ASCII コードで比較して self が大きい時には正の整数、等しい時には 0、小さい時には負の整数を返します。

...self と other を Gem::Dependency#name の ASCII コードで比較して
self が大きい時には正の整数、等しい時には 0、小さい時には負の整数を返します。...

Gem::Dependency#=~(other) -> bool (10.0)

self と other を比較して真偽値を返します。

...self と other を比較して真偽値を返します。

self の Gem::Dependency#name が正規表現として other とマッチしない場合は偽を返します。
self が other との依存関係を満たしていれば真を返します。満たしていなければ偽を返します。...

Gem::Dependency#name -> String (10.0)

依存関係の名前を文字列か正規表現で返します。

依存関係の名前を文字列か正規表現で返します。

Gem::Dependency#name=(name) (10.0)

依存関係の名前を文字列か正規表現でセットします。

依存関係の名前を文字列か正規表現でセットします。

Gem::Dependency#requirement_list -> [String] (10.0)

バージョンの必要条件を文字列の配列として返します。

バージョンの必要条件を文字列の配列として返します。

絞り込み条件を変える

Gem::Dependency#requirements_list -> [String] (10.0)

バージョンの必要条件を文字列の配列として返します。

バージョンの必要条件を文字列の配列として返します。

Gem::Dependency#type -> Symbol (10.0)

依存関係の型を返します。

依存関係の型を返します。

Gem::Dependency#version_requirements -> Gem::Requirement (10.0)

依存しているバージョンを返します。

依存しているバージョンを返します。

Gem::Dependency#version_requirements=(version_requirements) (10.0)

依存しているバージョンを設定します。

依存しているバージョンを設定します。

@param version_requirements Gem::Requirement のインスタンスを指定します。